package com.xhpc.common.data.up;

//充电桩与 BMS 充电阶段 BMS 中止报文
public class BmsInterruptData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String bmsStopReason; //BMS 中止充电原因
    private String bmsStopFaultReason; //BMS 中止充电故障原因
    private String bmsStopErrorReason; //BMS 中止充电错误原因

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getBmsStopReason() {

        return bmsStopReason;
    }

    public void setBmsStopReason(String bmsStopReason) {

        this.bmsStopReason = bmsStopReason;
    }

    public String getBmsStopFaultReason() {

        return bmsStopFaultReason;
    }

    public void setBmsStopFaultReason(String bmsStopFaultReason) {

        this.bmsStopFaultReason = bmsStopFaultReason;
    }

    public String getBmsStopErrorReason() {

        return bmsStopErrorReason;
    }

    public void setBmsStopErrorReason(String bmsStopErrorReason) {

        this.bmsStopErrorReason = bmsStopErrorReason;
    }

}
